%{?nodejs_find_provides_and_requires}
%global packagename stream-replace
%global enable_tests 1
Name:		nodejs-stream-replace
Version:	1.0.0
Release:	1
Summary:	Replace text in a stream
License:	MIT
URL:		https://github.com/lxe/stream-replace.git
Source0:	https://registry.npmjs.org/stream-replace/-/stream-replace-%{version}.tgz
BuildArch:	noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  npm(bl) npm(tape)
%endif
Requires:       nodejs
%description
Replace text in a stream

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} test
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Aug 21 2020 wangchong <wangchong56@huawei.com> - 1.0.0-1
- package init
